org.apache.mina.core.filterchain

## Class IoFilterEvent

- java.lang.Object
- - org.apache.mina.core.session.IoEvent
  - - org.apache.mina.core.filterchain.IoFilterEvent

- All Implemented Interfaces:
    Runnable

      public class IoFilterEvent
      extends IoEvent

  An I/O event or an I/O request that MINA provides for `IoFilter`s. Most users won't need to use this class. It is usually used by internal components to store I/O events.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoFilterEvent(IoFilter.NextFilter nextFilter, IoEventType type, IoSession session, Object parameter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fire()`
    `IoFilter.NextFilter` | `getNextFilter()`

    - ### Methods inherited from class org.apache.mina.core.session.IoEvent

      `getParameter, getSession, getType, run, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoFilterEvent

          public IoFilterEvent(IoFilter.NextFilter nextFilter,
                       IoEventType type,
                       IoSession session,
                       Object parameter)

  - ### Method Detail

    - #### getNextFilter

          public IoFilter.NextFilter getNextFilter()

    - #### fire

          public void fire()

      Overrides:
        `fire` in class `IoEvent`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.